<?php
/**
 * Yahoo!天気予報 (ブログパーツ)
 * http://weather.yahoo.co.jp/weather/promo/blogparts/
 */
require_once 'Platy/Widget.php';

class Platy_Widget_YahooWeather extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }
    
    public function getSummary()
    {
        return 'Yahoo!天気予報';
    }
    
    public function view()
    {
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        
        $a['main'] = '<script>var CFLwidth = "150";var CFLheight = "322";var CFLswfuri = "http://i.yimg.jp/images/weather/blogparts/yj_weather.swf?mapc=top";</script><script type="text/javascript" charset="euc-jp" src="http://weather.yahoo.co.jp/weather/promo/js/weather.js"></script>';
        return $a;
    }
}
?>